/*
  UnToggle, the unobtrusive show/hide toggle implementation for PmWiki

  Original JavaScript by BonRouge : bonrouge.com/br.php?page=togglit
  Adapted for PmWiki in 2009 by Petko Yotov http://5ko.fr
  Streamlined by  - Kirk Siqveland, www.snippetspub.com June, 2022
  The following text is into the Public domain.
*/

function toggleNext(Elmnt) {
  var nxt = Elmnt.nextSibling ;
  while(nxt.nodeType != 1)
      nxt = nxt.nextSibling ;
      nxt.style.display=((nxt.style.display=="none")?"block":"none" ) ;
}

function setToggleElements(bytag,byclass){
  var tags      = document.getElementsByTagName(bytag) ;
  var findClass = new RegExp("(^|\\s)"+byclass+"(\\s|$)") ; 

  for (tick=0; tick<tags.length; tick++) {
    if(findClass.test(tags[tick].className)) {
      tags[tick].className+=" clicker" ;
      tags[tick].onclick=function(){ toggleNext(this) } ;
      toggleNext(tags[tick]) ;
    }
  }
}

setToggleElements("div" ,'toggle') ;
setToggleElements("dt"  ,'toggle') ;
setToggleElements("img" ,'toggle') ;



